Clone wiki

LOTGD - Game / Home

Requirements

  • PHP >= 5.6 (Full compatibility with PHP >=7.0 not tested)
  • Database Mysql/MariaDB (Using Zend\DB component for connect to DB)

Configuration

Dependencies

  • Of Composer, run command in terminal:
    • If you install globally: composer install them can use composer update for update dependencies.
  • Of NPM, run command in terminal:
    • npm install them can use npm update for update dependencies.

You need to run the composer update and npm update command on a regular basis to keep the application dependencies updated, it is advisable to update the dependencies before executing the application build command.

Build application

Before copy files in your server you need build the applitacion.

By default application compile Jade theme. If not use de argument --theme

Build for development

This command prepare all files for use in development mode, this mean that all .js, .css files NOT are minimized.

$ gulp

Compile with other theme

Compile your own theme, you can use --theme jade changing 'jade' for the name of your theme.

$ gulp --theme jade

Build for production

This command prepare all files for use in production mode, this mean that all .js, .css files ARE minimized.

$ gulp --env production

Compile with other theme

Compile your own theme, you can use --theme jade changing 'jade' for the name of your theme.

$ gulp --env production --theme jade

Compile only the theme

For compile only the theme and not all you can use the following command:

$ gulp theme --theme jade

Result are in dist/themes

Installation

When finish all tasks of building of the application, you can copy ALL files in directory dist in your server. Now only need use your web browser to install the game as before.

Other

  • See CHANGELOG for more information of changes to code (Changelog)
  • See README for additional information (Readme)

About

Updated